SDL_IsGamepad(3)

NAME
SDL_IsGamepad - Check if the given joystick is supported by the gamepad interface.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_IsGamepad(SDL_JoystickID instance_id);

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns true if the given joystick is supported by the gamepad interface, false if it isn't or it's an invalid index.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetJoysticks(3), •(3), SDL_OpenGamepad(3)